from ti_system import *
from random import *
import ti_plotlib as plt
# complete pi darts with graphics
# each run adds more darts to
# the CE list DARTS if it exists
# if not starts from 0 darts

# John Hanna, 11/16/2021
#     johnehanna@gmail.com

plt.cls()
plt.window(-2,2,-1.5,1.5)
plt.axes("axes")

try:
  l=recall_list("DARTS")
  hits=l[0]
  total=l[1]
except:
  hits=0
  total=0

while not escape():
  total+=1
  x=uniform(-1,1)
  y=uniform(-1,1)
  plt.color(0,0,0)
  if x*x+y*y<=1:
    hits+=1
    plt.color(255,00,0)
  plt.plot(x,y,"o")

  plt.color(0,0,255)
  plt.text_at(2,str(total),"left")
  plt.text_at(1,str(hits),"left")
  plt.text_at(12,str(hits/total*4),"left")

#plt.show_plot()
store_list("DARTS",[hits,total])
